<?php

use Drupal\pikaday\Form\PikadaySettingsForm;

/**
 * Get Pikaday Form Ids
 */
function getPikadayFormIds() {
    $config = \Drupal::config(PikadaySettingsForm::SETTINGS);
    $pikadayFormIds = $config->get('pikaday_formids');
    if ($pikadayFormIds) {
        $result = preg_split("(\r\n?|\n)", $pikadayFormIds);
        if (is_array($result)) {
            return $result;
        }
    }
    return false;
}

/**
 * Check Pikaday Enabled from Admin Configuration
 * Goto Site >> Config >> Development >> Pikaday Settings > Enable/Disable.
 */
function checkPikadayEnabled() {
    $config = \Drupal::config(PikadaySettingsForm::SETTINGS);
    $pikadayEnabled = $config->get('pikaday_enable');
    if ($pikadayEnabled) {
        return true;
    }
    return false;
}