<?php
/**
 * Created by PhpStorm.
 * User: nilesh.kawale
 * Date: 27-05-2019
 * Time: 12:20
 */

namespace Drupal\pikaday\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure example settings for this site.
 */
class PikadaySettingsForm extends ConfigFormBase {
    /** @var string Config settings */
    const SETTINGS = 'pikaday.settings';

    /**
     * {@inheritdoc}
     */
    public function getFormId() {
        return 'pikaday_admin_settings';
    }

    /**
     * {@inheritdoc}
     */
    protected function getEditableConfigNames() {
        return [
            static::SETTINGS,
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function buildForm(array $form, FormStateInterface $form_state) {
        $config = $this->config(static::SETTINGS);

        $form['pikaday_enable'] = [
            '#type' => 'select',
            '#title' => $this->t('Enable Pikaday Calendar'),
            '#default_value' => $config->get('pikaday_enable'),
            '#options' => [
                '0' => $this
                    ->t('Disable'),
                '1' => $this
                    ->t('Enable'),
            ],
        ];

        /*$form['pikaday_page'] = [
            '#type' => 'checkbox',
            '#title' => $this->t('Enable Pikaday Calendar for Pages'),
            '#default_value' => $config->get('pikaday_page'),
        ];*/

        $form['pikaday_formids'] = [
            '#type' => 'textarea',
            '#title' => $this->t('Pikaday Calendar for Specific Forms'),
            '#default_value' => $config->get('pikaday_formids'),
            '#description' => $this->t('Add each formid per line. For example- If Form Id is `system_site_information_settings` then add it and press enter to add the next form id.')
        ];

        return parent::buildForm($form, $form_state);
    }

    /**
     * {@inheritdoc}
     */
    public function submitForm(array &$form, FormStateInterface $form_state) {
        // Retrieve the configuration
        $this->configFactory->getEditable(static::SETTINGS)
            // Set the submitted configuration setting
            ->set('pikaday_enable', $form_state->getValue('pikaday_enable'))
            //->set('pikaday_page', $form_state->getValue('pikaday_page'))
            ->set('pikaday_formids', $form_state->getValue('pikaday_formids'))
            ->save();

        parent::submitForm($form, $form_state);
    }
}